Subject: bug#13935: closed (Re: bug#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Mar 2013 09:37:05 +0000

Your bug report

#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13935: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13935
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least
From: Eli Zaretskii <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 23 Mar 2013 11:34:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 15 Mar 2013 10:30:40 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> I'd like to change the manual text to say the following (only the last
> sentence was modified).  Can someone (Jan?) please verify that this is
> reasonably correct for all the window managers we support?  If not,
> what needs to be changed in the wording of the last sentence?
> 
>   Specify that width, height or both shall be maximized.  The value
>   @code{fullwidth} specifies that width shall be as wide as possible.
>   The value @code{fullheight} specifies that height shall be as tall as
>   possible.  The value @code{fullboth} specifies that both the width and
>   the height shall be set to the size of the screen.  The value
>   @code{maximized} specifies that the frame shall be maximized.  The
>   difference between @code{maximized} and @code{fullboth} is that the
>   former can still be resized by dragging window manager decorations
>   with the mouse, while the latter really covers the whole screen and
>   does not allow resizing by mouse dragging.
> 
> Thanks.

No comments, so I committed the above as trunk revision 112115, and
I'm closing the bug report.

Subject: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Tue, 12 Mar 2013 13:44:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
 
M-: (modify-frame-parameters nil '((fullscreen . fullboth)))
 
The frame is not wide enough - about a centimeter too narrow.
 
M-: (modify-frame-parameters nil '((fullscreen . maximized)))
 
This does maximize the frame.
 
However, the Elisp manual, node `Size Parameters', is incorrect in
saying that either `maximized' or `fullboth' does not have
window-manager decorations.
 
Beyond that, I suspect that the text is anyway mistaken wrt the order,
and that what was meant was that `fullboth', not `maximized, still has
decorations.  Dunno about that, however.

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-03-04 on ODIEONE
Bzr revision: 111935 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'